Bug 111249 - [CI][BAT] igt@i915_selftest@* / reload tests - dmesg-warn - DEBUG_LOCKS_WARN_ON(lock->magic != lock)
Summary: [CI][BAT] igt@i915_selftest@* / reload tests - dmesg-warn - DEBUG_LOCKS_WARN_...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: highest normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-29 14:47 UTC by Martin Peres
Modified: 2019-07-30 07:13 UTC (History)
1 user (show)

See Also:
i915 platform: BYT, HSW, IVB, SNB
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-07-29 14:47:48 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6571/fi-byt-clapper/igt@i915_module_load@reload-with-fault-injection.html

<4> [318.260827] ------------[ cut here ]------------
<4> [318.260849] DEBUG_LOCKS_WARN_ON(lock->magic != lock)
<4> [318.260864] WARNING: CPU: 1 PID: 2112 at kernel/locking/mutex.c:912 __mutex_lock+0x750/0x9b0
<4> [318.260899] Modules linked in: i915(-) snd_hda_codec snd_hwdep snd_hda_core snd_pcm vgem coretemp crct10dif_pclmul crc32_pclmul ghash_clmulni_intel cdc_ether lpc_ich usbnet r8152 mii i2c_designware_pci prime_numbers btusb btrtl btbcm btintel bluetooth ecdh_generic ecc [last unloaded: i915]
<4> [318.260976] CPU: 1 PID: 2112 Comm: kworker/u4:13 Tainted: G     U            5.3.0-rc2-CI-CI_DRM_6571+ #1
<4> [318.261000] Hardware name: GOOGLE Clapper/Clapper, BIOS MrChromebox 02/04/2018
<4> [318.261134] Workqueue: i915 __i915_vm_release [i915]
<4> [318.261156] RIP: 0010:__mutex_lock+0x750/0x9b0
<4> [318.261170] Code: c0 0f 84 3a f9 ff ff 44 8b 05 8c a6 97 00 45 85 c0 0f 85 2a f9 ff ff 48 c7 c6 79 43 09 82 48 c7 c7 08 1e 08 82 e8 80 62 6e ff <0f> 0b e9 10 f9 ff ff f6 c2 04 0f 84 f3 fa ff ff 48 89 d1 83 e1 03
<4> [318.261212] RSP: 0018:ffffc9000037fcf0 EFLAGS: 00010282
<4> [318.261228] RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000001
<4> [318.261247] RDX: 0000000080000001 RSI: 0000000000000000 RDI: ffffffff8112dd4c
<4> [318.261265] RBP: ffffc9000037fda0 R08: 0000000000000000 R09: 00000000000397c0
<4> [318.261283] R10: ffffc9000037fdb8 R11: 0000000000000840 R12: 0000000000000000
<4> [318.261302] R13: ffff88806340b0b0 R14: 0000000000000002 R15: ffff88804d2a9288
<4> [318.261320] FS:  0000000000000000(0000) GS:ffff888077900000(0000) knlGS:0000000000000000
<4> [318.261341] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4> [318.261357] CR2: 000055ca541533a8 CR3: 0000000074b4e000 CR4: 00000000001006e0
<4> [318.261375] Call Trace:
<4> [318.261389]  ? __mutex_lock+0x9d/0x9b0
<4> [318.261403]  ? __mutex_lock+0x44a/0x9b0
<4> [318.261506]  ? i915_vma_destroy+0x86/0x350 [i915]
<4> [318.261521]  ? __mutex_lock+0x44a/0x9b0
<4> [318.261626]  ? i915_vma_destroy+0x86/0x350 [i915]
<4> [318.261725]  i915_vma_destroy+0x86/0x350 [i915]
<4> [318.261826]  gen6_ppgtt_cleanup+0x40/0xf0 [i915]
<4> [318.261927]  __i915_vm_release+0xfc/0x1d0 [i915]
<4> [318.261949]  process_one_work+0x245/0x610
<4> [318.261968]  worker_thread+0x37/0x380
<4> [318.261984]  ? process_one_work+0x610/0x610
<4> [318.261998]  kthread+0x119/0x130
<4> [318.262011]  ? kthread_park+0xa0/0xa0
<4> [318.262027]  ret_from_fork+0x3a/0x50
<4> [318.262047] irq event stamp: 69029
<4> [318.262061] hardirqs last  enabled at (69029): [<ffffffff819cece4>] _raw_spin_unlock_irq+0x24/0x50
<4> [318.262085] hardirqs last disabled at (69028): [<ffffffff819ceb6a>] _raw_spin_lock_irq+0xa/0x40
<4> [318.262108] softirqs last  enabled at (68976): [<ffffffff81c0033e>] __do_softirq+0x33e/0x4ae
<4> [318.262131] softirqs last disabled at (68967): [<ffffffff810b80b9>] irq_exit+0xa9/0xc0
<4> [318.262153] WARNING: CPU: 1 PID: 2112 at kernel/locking/mutex.c:912 __mutex_lock+0x750/0x9b0
<4> [318.262175] ---[ end trace dd3174496a951280 ]---
<7> [318.263642] i915 Wakeref last acquired:
   track_intel_runtime_pm_wakeref+0x14/0x90 [i915]
   intel_display_power_get+0x1f/0x60 [i915]
   intel_power_domains_init_hw+0xd3/0x570 [i915]
   i915_driver_probe+0xdfc/0x1950 [i915]
   i915_pci_probe+0x3f/0x1a0 [i915]
   pci_device_probe+0x9e/0x120
   really_probe+0xea/0x3d0
   driver_probe_device+0x10b/0x120
<7> [318.263740] i915 Wakeref count: 1
<7> [318.264304] i915 Wakeref x1 taken at:
   track_intel_runtime_pm_wakeref+0x14/0x90 [i915]
   intel_display_power_get+0x1f/0x60 [i915]
   edp_panel_vdd_on+0xd5/0x210 [i915]
   intel_dp_aux_xfer+0xeb/0x920 [i915]
   intel_dp_aux_transfer+0xa7/0x200 [i915]
   drm_dp_dpcd_access+0x76/0x110
   drm_dp_dpcd_read+0x29/0xc0
   intel_dp_read_dpcd+0x38/0x120 [i915]
<5> [318.801647] Setting dangerous option inject_load_failure - tainting kernel
Comment 1 CI Bug Log 2019-07-29 14:48:43 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* SNB BYT IVB HSW: igt@i915_selftest@* / reload tests - dmesg-warn - DEBUG_LOCKS_WARN_ON(lock-&gt;magic != lock)
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6571/fi-byt-clapper/igt@i915_module_load@reload-with-fault-injection.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6571/fi-byt-j1900/igt@i915_module_load@reload-no-display.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6571/fi-byt-n2820/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6571/fi-hsw-4770/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6571/fi-hsw-4770r/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6571/fi-snb-2520m/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6571/fi-snb-2600/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13783/fi-byt-n2820/igt@i915_selftest@live_hugepages.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13783/fi-hsw-4770r/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13783/fi-hsw-peppy/igt@i915_selftest@live_mman.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13783/fi-snb-2520m/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13783/fi-snb-2600/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6572/fi-byt-clapper/igt@i915_selftest@live_blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6572/fi-byt-j1900/igt@i915_selftest@live_gtt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6572/fi-byt-n2820/igt@i915_selftest@live_blt.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6572/fi-byt-squawks/igt@i915_selftest@live_mman.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6572/fi-hsw-4770/igt@i915_selftest@live_dmabuf.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6572/fi-hsw-4770r/igt@i915_module_load@reload-with-fault-injection.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6572/fi-hsw-peppy/igt@i915_selftest@live_mman.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6572/fi-ivb-3770/igt@i915_module_load@reload-no-display.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6572/fi-snb-2520m/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6572/fi-snb-2600/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6573/fi-byt-clapper/igt@i915_selftest@live_hugepages.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6573/fi-byt-j1900/igt@i915_module_load@reload-no-display.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6573/fi-byt-n2820/igt@i915_selftest@live_hugepages.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6573/fi-byt-squawks/igt@i915_selftest@live_hugepages.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6573/fi-hsw-4770/igt@i915_module_load@reload-no-display.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6573/fi-hsw-4770r/igt@i915_module_load@reload-with-fault-injection.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6573/fi-ivb-3770/igt@i915_module_load@reload-no-display.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6573/fi-snb-2520m/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6573/fi-snb-2600/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3302/fi-byt-j1900/igt@i915_selftest@live_hugepages.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3302/fi-byt-n2820/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3302/fi-hsw-4770/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3302/fi-hsw-4770r/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3302/fi-snb-2520m/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3302/fi-snb-2600/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13782/fi-hsw-4770r/igt@i915_module_load@reload-no-display.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13782/fi-ivb-3770/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13782/fi-snb-2520m/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13782/fi-snb-2600/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13784/fi-byt-j1900/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13784/fi-byt-n2820/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13784/fi-hsw-4770/igt@i915_selftest@live_mman.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13784/fi-hsw-4770r/igt@i915_module_load@reload-with-fault-injection.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13784/fi-snb-2520m/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13784/fi-snb-2600/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4678/fi-hsw-4770/igt@i915_module_load@reload-no-display.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4678/fi-hsw-4770r/igt@i915_selftest@live_contexts.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4678/fi-hsw-peppy/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4678/fi-ivb-3770/igt@i915_module_load@reload-with-fault-injection.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4678/fi-snb-2520m/igt@i915_module_load@reload.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4678/fi-snb-2600/igt@i915_module_load@reload.html

* SNB BYT IVB HSW: igt@runner@aborted - fail - Previous test: i915_(selftest|module_load)
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13727/shard-hsw6/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13727/shard-snb6/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13730/shard-hsw6/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13730/shard-snb1/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4659/shard-hsw6/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4659/shard-snb5/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13744/shard-hsw5/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13744/shard-snb5/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13774/fi-byt-j1900/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13774/fi-byt-n2820/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13774/fi-hsw-4770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13774/fi-hsw-4770r/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13774/fi-hsw-peppy/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13774/fi-ivb-3770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13774/fi-snb-2520m/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13774/fi-snb-2600/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13768/shard-hsw5/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13768/shard-snb5/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4672/fi-byt-j1900/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4672/fi-byt-n2820/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4672/fi-hsw-4770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4672/fi-hsw-4770r/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4672/fi-hsw-peppy/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4672/fi-ivb-3770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4672/fi-snb-2520m/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4673/fi-byt-j1900/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4673/fi-byt-n2820/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4673/fi-hsw-4770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4673/fi-hsw-4770r/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4673/fi-hsw-peppy/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4673/fi-ivb-3770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4673/fi-snb-2520m/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4673/fi-snb-2600/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4675/fi-byt-j1900/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4675/fi-byt-n2820/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4675/fi-hsw-4770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4675/fi-hsw-4770r/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4675/fi-hsw-peppy/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4675/fi-ivb-3770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4675/fi-snb-2520m/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4675/fi-snb-2600/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6571/fi-byt-clapper/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6571/fi-byt-j1900/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6571/fi-byt-n2820/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6571/fi-hsw-4770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6571/fi-hsw-4770r/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6571/fi-snb-2520m/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6571/fi-snb-2600/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13783/fi-byt-j1900/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13783/fi-hsw-4770r/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13783/fi-hsw-peppy/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13783/fi-snb-2520m/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13783/fi-snb-2600/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6572/fi-byt-clapper/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6572/fi-byt-j1900/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6572/fi-byt-n2820/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6572/fi-byt-squawks/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6572/fi-hsw-4770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6572/fi-hsw-peppy/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6572/fi-ivb-3770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6572/fi-snb-2520m/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6572/fi-snb-2600/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6573/fi-byt-j1900/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6573/fi-hsw-4770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6573/fi-ivb-3770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6573/fi-snb-2520m/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6573/fi-snb-2600/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3302/fi-byt-n2820/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3302/fi-hsw-4770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3302/fi-hsw-4770r/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3302/fi-ivb-3770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3302/fi-snb-2520m/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_3302/fi-snb-2600/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13782/fi-byt-j1900/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13782/fi-byt-n2820/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13782/fi-hsw-4770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13782/fi-hsw-4770r/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13782/fi-hsw-peppy/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13782/fi-ivb-3770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13782/fi-snb-2520m/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13782/fi-snb-2600/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13784/fi-byt-j1900/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13784/fi-byt-n2820/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13784/fi-hsw-4770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13784/fi-ivb-3770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13784/fi-snb-2520m/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13784/fi-snb-2600/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4678/fi-byt-j1900/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4678/fi-byt-n2820/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4678/fi-hsw-4770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4678/fi-hsw-4770r/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4678/fi-hsw-peppy/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4678/fi-ivb-3770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4678/fi-snb-2520m/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4678/fi-snb-2600/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4605/fi-hsw-4770/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4612/shard-hsw5/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4612/shard-snb5/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13659/shard-hsw7/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_13659/shard-snb5/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4622/fi-byt-n2820/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4622/fi-hsw-peppy/igt@runner@aborted.html
Comment 2 Chris Wilson 2019-07-29 14:49:47 UTC
https://patchwork.freedesktop.org/series/64383/
Comment 3 Chris Wilson 2019-07-29 15:34:45 UTC
commit 60a4233a4952729089e4df152e730f8f4d0e82ce (HEAD -> drm-intel-next-queued, drm-intel/for-linux-next, drm-intel/drm-intel-next-queued)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Jul 29 14:24:12 2019 +0100

    drm/i915: Flush the i915_vm_release before ggtt shutdown
    
    As the gen6_ppgtt may refer back to the GGTT for their page-directory
    slots, make sure those __i915_vm_release are completed prior to shutting
    down the GGTT.
    
    Fixes: b32fa8111563 ("drm/i915/gtt: Defer address space cleanup to an RCU worker")
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Reviewed-by: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190729132412.23380-1-chris@chris-wilson.co.uk
Comment 4 CI Bug Log 2019-07-30 07:13:05 UTC
A CI Bug Log filter associated to this bug has been updated:

{- SNB BYT IVB HSW: igt@i915_selftest@* / reload tests - dmesg-warn - DEBUG_LOCKS_WARN_ON(lock-&gt;magic != lock) -}
{+ SNB BYT IVB HSW: igt@i915_selftest@* / reload tests - dmesg-warn - DEBUG_LOCKS_WARN_ON(lock-&gt;magic != lock) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6571/shard-hsw8/igt@i915_selftest@live_vma.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6571/shard-snb6/igt@i915_selftest@mock_sanitycheck.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6572/shard-snb1/igt@i915_selftest@mock_sanitycheck.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6573/shard-hsw4/igt@i915_selftest@live_vma.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6573/shard-snb5/igt@i915_selftest@mock_sanitycheck.html


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.